package org.example.tiempoaemet;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.text.Html;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;


public class FragmentTab3 extends Fragment implements View.OnClickListener {

    private static final String TAG = "FragmentTab3";

    private View view;

    private EditText textAmount;
    private TextView resultAmount;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d(TAG, "Entrando en Constructor " + TAG);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        Log.d(TAG, "Entrando en onCreateView "+TAG);

        if (view != null) return view;
        view = inflater.inflate(R.layout.fragment_tab3, container, false);

        TextView salida = (TextView) view.findViewById(R.id.textView);
        salida.setText(Html.fromHtml(getString(R.string.about_global_text)));


        final Button bAboutApp = (Button) view.findViewById(R.id.about_app);
        bAboutApp.setOnClickListener(this);


        return view;
    }





    @Override
    public void onClick(View v) {
        int id = v.getId();
        switch(id){
            case R.id.about_app:
                break;
       default:
                break;
        }
        Intent i = new Intent(getActivity(), AcercaDeAppActivity.class);
        startActivity(i);
    }





}
