package org.example.tiempoaemet.datos;


public class PeriodoAEMET {

    private String periodoHoras;
    private String estadoCielo;
    private String temperatura;



    public PeriodoAEMET(String periodoHoras, String estadoCielo, String temperatura) {
        this.periodoHoras = periodoHoras;
        this.estadoCielo = estadoCielo;
        this.temperatura = temperatura;
    }



    public String getExtadoCieloName(String codigo){
        return "estado_cielo_"+codigo;
    }


    public String getPeriodoHoras() {
        return periodoHoras;
    }

    public void setPeriodoHoras(String periodoHoras) {
        this.periodoHoras = periodoHoras;
    }

    public String getEstadoCielo() {
        return estadoCielo;
    }

    public void setEstadoCielo(String estadoCielo) {
        this.estadoCielo = estadoCielo;
    }

    public String getTemperatura() {
        return temperatura;
    }

    public void setTemperatura(String temperatura) {
        this.temperatura = temperatura;
    }






    /*

    <estado_cielo>

    11 – Despejado
    11n – Despejado noche 12 Poco nuboso
    12n – Poco nuboso noche
    13 – Intervalos nubosos
    13n – Intervalos nubosos noche
    14 – Nuboso
    14n – Nuboso noche
    15 – Muy nuboso
    16n – Muy nuboso
    16 – Cubierto
    16n – Cubierto
    17 – Nubes altas
    17n – Nubes altas noche
    23 – Intervalos nubosos con lluvia
    23n – Intervalos nubosos con lluvia noche
    24 – Nuboso con lluvia
    24n – Nuboso con lluvia noche
    25 – Muy nuboso con lluvia
    25n – Muy nuboso con lluvia
    26 – Cubierto con lluvia
    26n – Cubierto con lluvia
    33 – Intervalos nubosos con nieve
    33n – Intervalos nubosos con nieve noche
    34 – Nuboso con nieve
    34n – Nuboso con nieve noche
    35 – Muy nuboso con nieve
    35n – Muy nuboso con nieve
    36 – Cubierto con nieve
    36n – Cubierto con nieve
    43 – Intervalos nubosos con lluvia escasa
    43n – Intervalos nubosos con lluvia escasa noche
    44 – Nuboso con lluvia escasa
    44n – Nuboso con lluvia escasa noche
    45n – Muy nuboso con lluvia escasa
    46n – Cubierto con lluvia escasa
    51 – Intervalos nubosos con tormenta
    51n – Intervalos nubosos con tormenta noche
    52 – Nuboso con tormenta
    52n – Nuboso con tormenta noche
    53 – Muy nuboso con tormenta
    53n – Muy nuboso con tormenta
    54 – Cubierto con tormenta
    54n – Cubierto con tormenta
    61 – Intervalos nubosos con tormenta y lluvia escasa
    61n – Intervalos nubosos con tormenta y lluvia escasa noche 62 Nuboso con tormenta y lluvia escasa
    62n – Nuboso con tormenta y lluvia escasa noche
    63 – Muy nuboso con tormenta y lluvia escasa
    63n – Muy nuboso con tormenta y lluvia escasa 64 Cubierto con tormenta y lluvia escasa 64n Cubierto con tormenta y lluvia escasa
    71 – Intervalos nubosos con nieve escasa
    71n – Intervalos nubosos con nieve escasa noche 72 Nuboso con nieve escasa
    72n – Nuboso con nieve escasa noche
    73 – Muy nuboso con nieve escasa
    73n – Muy nuboso con nieve escasa 74 Cubierto con nieve escasa 74n Cubierto con nieve escasa
    */

    /*
    Índice UV

1 – Bajo
2 – Bajo
3 – Moderado
4 – Moderado
5 – Moderado
6 – Alto
7 – Alto
8 – Muy Alto
9 – Muy Alto
10 – Muy Alto
11 – Extremadamente Alto
+11 – Extremadamente Alto

Índice Viento:

C – Calma
E – Este
N – Norte
NE – Nordeste
NO – Noroeste
O – Oeste
S – Sur
SE – Sudeste
SO – Suroeste


     */
}
