package org.example.tiempoaemet;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.Vector;


public class AdaptadorVoidTiempo extends BaseAdapter {

    private static final String TAG = "AdaptadorVoidTiempo";

    private final Activity actividad;
    private final Vector lista;


    public AdaptadorVoidTiempo(Activity actividad, Vector lista) {
        super();
        this.actividad = actividad;
        this.lista = lista;
    }


    public View getView(int position, View convertView,
                        ViewGroup parent) {
        String s = null;
        LayoutInflater inflater = actividad.getLayoutInflater();
        View view = inflater.inflate(R.layout.elemento_lista_void, null, true);


        String city = (String) lista.elementAt(position);

        TextView textVoidView = (TextView) view.findViewById(R.id.void_text);
        s = MisUtilidades.getStringResourceByName(actividad, "no_forecast", this.getClass().getPackage().getName());
        textVoidView.setText(s);

        return view;
    }



    public int getCount() {
        return lista.size();
    }
    public Object getItem(int arg0) {
        return lista.elementAt(arg0);
    }
    public long getItemId(int position) {
        return position;
    }
}
